/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.check;

import java.io.Serializable;

import de.hft.stuttgart.citydoctor2.datastructure.Polygon;
import de.hft.stuttgart.citydoctor2.math.Triangle3d;

public class GeometrySelfIntersection implements Serializable {

	private static final long serialVersionUID = -6308847898942670140L;
	
	private Polygon p1;
	private Polygon p2;
	
	private Triangle3d t1;
	private Triangle3d t2;

	public GeometrySelfIntersection(Polygon p1, Polygon p2, Triangle3d t1, Triangle3d t2) {
		super();
		this.p1 = p1;
		this.p2 = p2;
		this.t1 = t1;
		this.t2 = t2;
	}

	public Polygon getP1() {
		return p1;
	}

	public void setP1(Polygon p1) {
		this.p1 = p1;
	}

	public Polygon getP2() {
		return p2;
	}

	public void setP2(Polygon p2) {
		this.p2 = p2;
	}

	public Triangle3d getT1() {
		return t1;
	}

	public Triangle3d getT2() {
		return t2;
	}

	@Override
	public String toString() {
		return "GeometrySelfIntersection [p1=" + p1 + ", p2=" + p2 + "]";
	}

}
